%define devname	%mklibname %{name} -d

Name:		ofono
Summary:	Open Source Telephony
Version:	2.9
Release:	%mkrel 1
License:	GPLv2
Group:		Communications/Telephony
URL:		http://www.ofono.org
Source0:	https://git.kernel.org/pub/scm/network/ofono/ofono.git/snapshot/%{name}-%{version}.tar.gz

BuildRequires:	automake libtool
BuildRequires:	pkgconfig(ell)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(libudev) >= 145
BuildRequires:	pkgconfig(bluez)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(mobile-broadband-provider-info)
BuildRequires:	pkgconfig(libsystemd)

Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd

%description
oFono.org is a place to bring developers together around designing an
infrastructure for building mobile telephony (GSM/UMTS) applications.
oFono includes a high-level D-Bus API for use by telephony applications.
oFono also includes a low-level plug-in API for integrating with telephony
stacks, cellular modems and storage back-ends.

%package -n %{devname}
Summary:	Development files for oFono
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for oFono.

%prep
%autosetup -p1

%build
if [ ! -f configure ]; then
./bootstrap
fi
%configure \
	--enable-bluetooth \
	--enable-pie \
	--enable-external-ell \
	--disable-silent-rules

%make_build

%install
%make_install

# create/own this
mkdir -p %{buildroot}%{_libdir}/ofono/plugins

%check
make check

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc ChangeLog AUTHORS README
%license COPYING
%{_sysconfdir}/dbus-1/system.d/ofono.conf
%dir %{_sysconfdir}/ofono/
%config(noreplace) %{_sysconfdir}/ofono/phonesim.conf
%{_sbindir}/ofonod
%{_datadir}/ofono/
%{_unitdir}/ofono.service
%{_mandir}/man8/ofonod.8*
%dir %{_libdir}/ofono
%dir %{_libdir}/ofono/plugins

%files -n %{devname}
%{_includedir}/ofono/
%{_libdir}/pkgconfig/ofono.pc


%changelog
* Thu Jul 11 2024 daviddavid <daviddavid> 2.9-1.mga10
+ Revision: 2080684
- new version: 2.9

* Tue Jun 11 2024 daviddavid <daviddavid> 2.8-1.mga10
+ Revision: 2072589
- new version: 2.8

* Tue May 14 2024 daviddavid <daviddavid> 2.7-1.mga10
+ Revision: 2064197
- new version: 2.7

* Mon May 13 2024 daviddavid <daviddavid> 2.6-1.mga10
+ Revision: 2063923
- new version: 2.6

* Tue Mar 12 2024 daviddavid <daviddavid> 2.5-1.mga10
+ Revision: 2049254
- new version: 2.5

* Sun Feb 18 2024 daviddavid <daviddavid> 2.4-1.mga10
+ Revision: 2042271
- new version: 2.4

* Tue Jan 09 2024 daviddavid <daviddavid> 2.3-1.mga10
+ Revision: 2029190
- new version: 2.3

* Wed Nov 29 2023 daviddavid <daviddavid> 2.2-1.mga10
+ Revision: 2010987
- new version: 2.2

* Wed May 17 2023 daviddavid <daviddavid> 2.1-1.mga9
+ Revision: 1957090
- initial package ofono (mga#29728)

